Subject: RFC 3484 Question

From: "Leino, Tammy" <[email-masked]>
Date: Thu, 25 Oct 2007 13:36:16 -0600

Hello All,

I have a question regarding two examples in section 10.2 of RFC 3484 for default destination address selection.

The Default Policy Table is defined as:

Prefix        Precedence   Label
--------------------------------
::1/128       50           0
::/0          40           1
2002::/16     30           2
::/96         20           3
::ffff:0:0/96 10           4

I have questions about the third, and last examples shown based on the Default Policy Table contents.

Third Example:

   Candidate Source Addresses: 2001::2 or fe80::1 or 10.1.2.4
   Destination Address List: 2001::1 or 10.1.2.3
   Result: 2001::1 (src 2001::2) then 10.1.2.3 (src 10.1.2.4) (prefer
   higher precedence)

The outcome shows that 2001::1 is sorted as the "best" address because of higher precedence, but I do not see how the Default Policy Table would return a matching prefix for this address.  Can someone please explain how the Default Policy Table returns a precedence value for the addresses 2001::1 and 2001::2.

Last Example:

   Candidate Source Addresses: 2002:836b:4179::2 or 2001::2 or fe80::2
   Destination Address List: 2002:836b:4179::1 or 2001::1
   Result: 2001::1 (src 2001::2) then 2002:836b:4179::1 (src
   2002:836b:4179::2) (prefer higher precedence)

Label is checked in Rule #5, and precedence is checked in Rule #6.  Since 2002:836b:4179::1 would be the only address with a matching label, I do not see why we go on to check the precedence.  I suppose it has something to do with that 2001 address that I do not understand from my previous question.

Any clarification you can add would be much appreciated.

Best Regards,
Tammy Leino

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------